clear all
set mat 3000


global Data="CPath\Replication_files\Data" // Specify working directory

use "$Data/Final Sample1a.dta", clear

*Table 1
*Col. 3
foreach var of varlist attack_assass attack_armed attack_bomb attack_facility attack_unarmed attack_unknown {
sum success if `var'==1 & emp!=. &  non_us_target!=.
}
foreach var of varlist targ_business targ_governgen targ_abortion targ_airport targ_educ targ_priv targ_relig targ_other {
sum success if `var'==1 & emp!=. &  non_us_target!=.
}
foreach var of varlist weap_firearm weap_explo weap_incend weap_melee weap_sabot weap_other {
sum success if `var'==1 & emp!=. &  non_us_target!=.
}
sum success if lonenotterrorgroup ==1 & emp!=. &  non_us_target!=. 
sum success if multipleeventperyear>=2 & emp!=. &  non_us_target!=.
sum success if non_us_target==1 & emp!=. &  non_us_target!=.
sum success if int_log==1 & emp!=. &  non_us_target!=.

sum success if emp!=. &  non_us_target!=.

*Col. 4, 5 & 6 
foreach var of varlist attack_assass attack_armed attack_bomb attack_facility attack_unarmed attack_unknown {
sum nwound if `var'==1 & success==1 & emp!=. &  non_us_target!=.
sum nkill if `var'==1 & success==1 & emp!=. &  non_us_target!=.
sum real_propvalue if `var'==1 & success==1 & emp!=. &  non_us_target!=.
}
foreach var of varlist targ_business targ_governgen targ_abortion targ_airport targ_educ targ_priv targ_relig targ_other {
sum nwound if `var'==1 & success==1 & emp!=. &  non_us_target!=.
sum nkill if `var'==1 & success==1 & emp!=. &  non_us_target!=.
sum real_propvalue if `var'==1 & success==1 & emp!=. &  non_us_target!=.
}
foreach var of varlist weap_firearm weap_explo weap_incend weap_melee weap_sabot weap_other {
sum nwound if `var'==1 & success==1 & emp!=. &  non_us_target!=.
sum nkill if `var'==1 & success==1 & emp!=. &  non_us_target!=.
sum real_propvalue if `var'==1 & success==1 & emp!=. &  non_us_target!=.
}
sum nwound if multipleeventperyear>=2 & success==1 & emp!=. &  non_us_target!=.
sum nkill if multipleeventperyear>=2 & success==1 & emp!=. &  non_us_target!=.
sum real_propvalue if multipleeventperyear>=2 & success==1 & emp!=. &  non_us_target!=.
sum nwound if non_us_target==1 & success==1 & emp!=. &  non_us_target!=.
sum nkill if non_us_target==1 & success==1 & emp!=. &  non_us_target!=.
sum real_propvalue if non_us_target==1 & success==1 & emp!=. &  non_us_target!=.
sum nwound if int_log==1 & success==1 & emp!=. &  non_us_target!=.
sum nkill if int_log==1 & success==1 & emp!=. &  non_us_target!=.
sum real_propvalue if int_log==1 & success==1 & emp!=. &  non_us_target!=.

sum nwound if success==1 & emp!=. &  non_us_target!=.
sum nkill if success==1 & emp!=. &  non_us_target!=.
sum real_propvalue if success==1 & emp!=. &  non_us_target!=.


use "$Data/Final Sample1b.dta", clear

*Table 2
*Col. 1, 2 & 3
foreach var of varlist ln_ca1_pop_1_lag1 ln_deaths_lag1_cap ln_births_lag1_cap ln_social_sec_recip_lag1_cap ln_pov_allages_lag1_cap ln_educ_pubenrol_lag1_cap ln_crime_violent_lag1_cap ln_crime_robb_lag1_cap ln_crime_property_lag1_cap ln_crime_motorveh_lag1_cap capital_state coastal_county major_airport medium_airport region_11 region_12 region_13 region_14 {
sum `var' if success==1 & emp!=.
sum `var' if success==0 & emp!=.
reg `var' success if emp!=.
}


use "$Data/Final Sample1c.dta", clear

*Table 3
*Col. 1, 2 & 3
foreach var of varlist ln_emp_pop ln_real_qp1 ln_ca1_pop_1_lag1 ln_deaths_lag1_cap ln_births_lag1_cap ln_social_sec_recip_lag1_cap ln_pov_allages_lag1_cap ln_educ_pubenrol_lag1_cap ln_crime_violent_lag1_cap ln_crime_robb_lag1_cap ln_crime_property_lag1_cap ln_crime_motorveh_lag1_cap capital_state coastal_county major_airport medium_airport region1 region2 region3 region4 {
sum `var' if success==1 & emp!=.
sum `var' if success==0 & emp!=.
reg `var' success if emp!=.
}


use "$Data/Final Sample1d.dta", clear

global controls_1 "attack_assass attack_armed attack_bomb attack_facility multipleeventperyear non_us_target int_log"
global controls_2 "attack_assass attack_armed attack_bomb attack_facility weap_firearm weap_explo weap_incend non_us_target int_log multipleeventperyear"

*Table 4
*Col. 1
probit success ln_emp_pop ln_ca1_pop_1_lag1 ln_crime_violent_lag1 ln_crime_robb_lag1 ln_crime_property_lag1 ln_crime_motorveh_lag1 ln_births_lag1 ln_social_sec_recip_lag1 ln_educ_pubenrol_lag1 capital_state coastal_county major_airport medium_airport $controls_1 if emp!=., cluster(fips)
mfx
test ln_emp_pop ln_ca1_pop_1_lag1 ln_births_lag1 ln_social_sec_recip ln_educ_pubenrol_lag1 ln_crime_violent_lag1 ln_crime_robb_lag1 ln_crime_property_lag1 ln_crime_motorveh_lag1 capital_state coastal_county major_airport medium_airport
*Col. 2
probit success ln_emp_pop ln_ca1_pop_1_lag1 ln_crime_violent_lag1 ln_crime_robb_lag1 ln_crime_property_lag1 ln_crime_motorveh_lag1 ln_births_lag1 ln_social_sec_recip_lag1 ln_educ_pubenrol_lag1 capital_state coastal_county major_airport medium_airport $controls_2 if emp!=., cluster(fips)
mfx
test ln_emp_pop ln_ca1_pop_1_lag1 ln_births_lag1 ln_social_sec_recip ln_educ_pubenrol_lag1 ln_crime_violent_lag1 ln_crime_robb_lag1 ln_crime_property_lag1 ln_crime_motorveh_lag1 capital_state coastal_county major_airport medium_airport
*Col. 3
probit success ln_real_qp1 ln_ca1_pop_1_lag1 ln_crime_violent_lag1 ln_crime_robb_lag1 ln_crime_property_lag1 ln_crime_motorveh_lag1 ln_births_lag1 ln_social_sec_recip_lag1 ln_educ_pubenrol_lag1 capital_state coastal_county major_airport medium_airport $controls_1 if emp!=., cluster(fips)
mfx
test ln_real_qp1 ln_ca1_pop_1_lag1 ln_births_lag1 ln_social_sec_recip ln_educ_pubenrol_lag1 ln_crime_violent_lag1 ln_crime_robb_lag1 ln_crime_property_lag1 ln_crime_motorveh_lag1 capital_state coastal_county major_airport medium_airport
*Col. 4
probit success ln_real_qp1 ln_ca1_pop_1_lag1 ln_crime_violent_lag1 ln_crime_robb_lag1 ln_crime_property_lag1 ln_crime_motorveh_lag1 ln_births_lag1 ln_social_sec_recip_lag1 ln_educ_pubenrol_lag1 capital_state coastal_county major_airport medium_airport $controls_2 if emp!=., cluster(fips)
mfx
test ln_real_qp1 ln_ca1_pop_1_lag1 ln_births_lag1 ln_social_sec_recip ln_educ_pubenrol_lag1 ln_crime_violent_lag1 ln_crime_robb_lag1 ln_crime_property_lag1 ln_crime_motorveh_lag1 capital_state coastal_county major_airport medium_airport
