clear all
set mat 3000


global Data="CPath\Replication_files\Data" // Specify working directory

use "$Data/Final Sample3.dta", clear

global controls "attack_assass attack_armed attack_bomb attack_facility weap_firearm weap_explo weap_incend non_us_target int_log multipleeventperyear"

*Table 6
*Panel A
*Column 1
areg ln_emp_pop successful post i.month i.year meventperyear, absorb(fips) cluster(fips)
*Column 2
areg ln_emp_pop successful post i.month i.year meventperyear non_us_t int_l, absorb(fips) cluster(fips)
*Column 3
areg ln_emp_pop successful post i.month i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility, absorb(fips) cluster(fips)
*Column 4
areg ln_emp_pop successful post i.month i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend, absorb(fips) cluster(fips)
*Column 5
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year, absorb(fips) cluster(fips)
*Column 6
areg ln_emp_pop successful post i.year##i.div_9_all meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year , absorb(fips) cluster(fips)
*Panel B
*Column 1
areg ln_real_qp1_pop successful post i.month i.year meventperyear, absorb(fips) cluster(fips)
*Column 2
areg ln_real_qp1_pop successful post i.month i.year meventperyear non_us_t int_l, absorb(fips) cluster(fips)
*Column 3
areg ln_real_qp1_pop successful post i.month i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility, absorb(fips) cluster(fips)
*Column 4
areg ln_real_qp1_pop successful post i.month i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend, absorb(fips) cluster(fips)
*Column 5
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year, absorb(fips) cluster(fips)
*Column 6
areg ln_real_qp1_pop successful post i.year##i.div_9_all meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year, absorb(fips) cluster(fips)
*Panel C
*Column 1
areg ln_real_qp1_job successful post i.month i.year meventperyear, absorb(fips) cluster(fips)
*Column 2
areg ln_real_qp1_job successful post i.month i.year meventperyear non_us_t int_l, absorb(fips) cluster(fips)
*Column 3
areg ln_real_qp1_job successful post i.month i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility, absorb(fips) cluster(fips)
*Column 4
areg ln_real_qp1_job successful post i.month i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend, absorb(fips) cluster(fips)
*Column 5
areg ln_real_qp1_job successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year, absorb(fips) cluster(fips)
*Column 6
areg ln_real_qp1_job successful post i.year##i.div_9_all meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year, absorb(fips) cluster(fips)

*Table 7
*Panel A
*Column 1
areg ln_emp_manu_pop successful post meventperyear i.month i.year, absorb(fips) cluster(fips)
*Column 2
areg ln_emp_manu_pop successful post meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month i.year, absorb(fips) cluster(fips)
*Column 3
areg ln_emp_const_pop successful post meventperyear i.month i.year, absorb(fips) cluster(fips)
*Column 4
areg ln_emp_const_pop successful post meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month i.year, absorb(fips) cluster(fips)
*Column 5
areg ln_emp_whole_pop successful post meventperyear i.month i.year, absorb(fips) cluster(fips)
*Column 6
areg ln_emp_whole_pop successful post meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month i.year, absorb(fips) cluster(fips)
*Panel B
*Column 1
areg ln_emp_retail_pop successful post meventperyear i.month i.year, absorb(fips) cluster(fips)
*Column 2
areg ln_emp_retail_pop successful post meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month i.year , absorb(fips) cluster(fips)
*Column 3
areg ln_emp_services_pop successful post meventperyear i.month i.year, absorb(fips) cluster(fips)
*Column 4
areg ln_emp_services_pop successful post meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month i.year , absorb(fips) cluster(fips)
*Column 5
areg ln_emp_finance_pop successful post meventperyear i.month i.year, absorb(fips) cluster(fips)
*Column 6
areg ln_emp_finance_pop successful post meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month i.year , absorb(fips) cluster(fips)

*Table 8
sort year_fips
merge year_fips using "$Data/housing_index.dta"
drop _merge
drop if year==.
gen ln_hh_index=100*ln(housing_index)
*Column 1
areg ln_hh_index successful1 post i.month i.year meventperyear, absorb(fips) cluster(fips)
*Column 2
areg ln_hh_index successful1 post i.month i.year meventperyear non_us_t int_l, absorb(fips) cluster(fips)
*Column 3
areg ln_hh_index successful1 post i.month i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility, absorb(fips) cluster(fips)
*Column 4
areg ln_hh_index successful1 post i.month i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend, absorb(fips) cluster(fips)
*Column 5
areg ln_hh_index successful1 post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year, absorb(fips) cluster(fips)
*Column 6
areg ln_hh_index successful1 post i.year##i.div_9_all meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year , absorb(fips) cluster(fips)

*Table 9
sort year_fips
merge year_fips using "$Data/vanderbilt.dta"
drop _merge
drop if year==.
gen ln_vanderbilt_cityyear=ln(1+vanderbilt_cityyear_minus_terror)
gen ln_abc=ln(1+vander_abc_1wk)
gen ln_cbs=ln(1+vander_cbs_1wk)
gen ln_nbc=ln(1+vander_nbc_1wk)
gen ln_abc_lenght=ln(1+vander_abc_lenght_1wk)
gen ln_cbs_lenght=ln(1+vander_cbs_lenght_1wk)
gen ln_nbc_lenght=ln(1+vander_nbc_lenght_1wk)
gen ln_abc_cbs_nbc=ln(1+vander_nbc_1wk+vander_abc_1wk+vander_cbs_1wk)
gen ln_abc_cbs_nbc_lenght=ln(1+vander_nbc_lenght_1wk+vander_abc_lenght_1wk+vander_cbs_lenght_1wk)
gen abc_cbs_nbc_mention1=0
replace abc_cbs_nbc_mention1=1 if vander_abc_1wk>=1
replace abc_cbs_nbc_mention1=1 if vander_cbs_1wk>=1
replace abc_cbs_nbc_mention1=1 if vander_nbc_1wk>=1
gen abc_mention1=0
replace abc_mention1=1 if vander_abc_1wk>=1
gen cbs_mention1=0
replace cbs_mention1=1 if vander_cbs_1wk>=1
gen nbc_mention1=0
replace nbc_mention1=1 if vander_nbc_1wk>=1
*Panel A
*Col.1
reg abc_cbs_nbc_mention1 success ln_vanderbilt_cityyear $controls i.month i.state i.year if ln_emp_pop!=., cluster(fips)
*Col.2
reg abc_cbs_nbc_mention1 success ln_vanderbilt_cityyear $controls i.month i.state i.region4##i.year if ln_emp_pop!=., cluster(fips)
*Col.3
reg abc_cbs_nbc_mention1 success ln_vanderbilt_cityyear $controls i.month i.state i.region4##i.year airport coastal_county capital_state if ln_emp_pop!=., cluster(fips)
*Col.4
reg abc_mention1 success ln_vanderbilt_cityyear $controls i.month i.state i.region4##i.year airport coastal_county capital_state if ln_emp_pop!=., cluster(fips)
*Col.5
reg cbs_mention1 success ln_vanderbilt_cityyear $controls i.month i.state i.region4##i.year airport coastal_county capital_state if ln_emp_pop!=., cluster(fips)
*Col.6
reg nbc_mention1 success ln_vanderbilt_cityyear $controls i.month i.state i.region4##i.year airport coastal_county capital_state if ln_emp_pop!=., cluster(fips)
*Panel B
*Col.1
reg ln_abc_cbs_nbc success ln_vanderbilt_cityyear $controls i.month i.state i.year if ln_emp_pop!=., cluster(fips)
*Col.2
reg ln_abc_cbs_nbc success ln_vanderbilt_cityyear $controls i.month i.state i.region4##i.year if ln_emp_pop!=., cluster(fips)
*Col.3
reg ln_abc_cbs_nbc success ln_vanderbilt_cityyear $controls i.month i.state i.region4##i.year airport coastal_county capital_state if ln_emp_pop!=., cluster(fips)
*Col.4
reg ln_abc success ln_vanderbilt_cityyear $controls i.month i.state i.region4##i.year airport coastal_county capital_state if ln_emp_pop!=., cluster(fips)
*Col.5
reg ln_cbs success ln_vanderbilt_cityyear $controls i.month i.state i.region4##i.year airport coastal_county capital_state if ln_emp_pop!=., cluster(fips)
*Col.6
reg ln_nbc success ln_vanderbilt_cityyear $controls i.month i.state i.region4##i.year airport coastal_county capital_state if ln_emp_pop!=., cluster(fips)
*Panel C
*Col.1
reg ln_abc_cbs_nbc_lenght success ln_vanderbilt_cityyear $controls i.month i.state i.year if ln_emp_pop!=., cluster(fips)
*Col.2
reg ln_abc_cbs_nbc_lenght success ln_vanderbilt_cityyear $controls i.month i.state i.region4##i.year if ln_emp_pop!=., cluster(fips)
*Col.3
reg ln_abc_cbs_nbc_lenght success ln_vanderbilt_cityyear $controls i.month i.state i.region4##i.year airport coastal_county capital_state if ln_emp_pop!=., cluster(fips)
*Col.4
reg ln_abc_lenght success ln_vanderbilt_cityyear $controls i.month i.state i.region4##i.year airport coastal_county capital_state if ln_emp_pop!=., cluster(fips)
*Col.5
reg ln_cbs_lenght success ln_vanderbilt_cityyear $controls i.month i.state i.region4##i.year airport coastal_county capital_state if ln_emp_pop!=., cluster(fips)
*Col.6
reg ln_nbc_lenght success ln_vanderbilt_cityyear $controls i.month i.state i.region4##i.year airport coastal_county capital_state if ln_emp_pop!=., cluster(fips)

*Appendix Table 3
*Panel A
*Column 1
areg ln_emp_pop successful post i.month i.year meventperyear, absorb(fips) cluster(fips)
*Column 2
areg ln_emp_pop successful post i.month i.year meventperyear non_us_t aa_assass aa_armed aa_bomb aa_facility, absorb(fips) cluster(fips)
*Column 3
areg ln_emp_pop successful post i.year##i.div_9_all meventperyear non_us_t aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year, absorb(fips) cluster(fips)
*Column 4
areg ln_real_qp1_pop successful post i.month i.year, absorb(fips) cluster(fips)
*Column 5
areg ln_real_qp1_pop successful post i.month i.year meventperyear non_us_t aa_assass aa_armed aa_bomb aa_facility, absorb(fips) cluster(fips)
*Column 6
areg ln_real_qp1_pop successful post i.year##i.div_9_all meventperyear non_us_t aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year, absorb(fips) cluster(fips)
*Panel B
*Column 1
areg ln_emp_pop successful post i.month i.year meventperyear if airport==1, absorb(fips) cluster(fips)
*Column 2
areg ln_emp_pop successful post i.month i.year meventperyear non_us_t aa_assass aa_armed aa_bomb aa_facility if airport==1, absorb(fips) cluster(fips)
*Column 3
areg ln_emp_pop successful post i.year##i.div_9_all meventperyear non_us_t aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if airport==1, absorb(fips) cluster(fips)
*Column 4
areg ln_real_qp1_pop successful post i.month i.year if airport==1, absorb(fips) cluster(fips)
*Column 5
areg ln_real_qp1_pop successful post i.month i.year meventperyear non_us_t aa_assass aa_armed aa_bomb aa_facility if airport==1, absorb(fips) cluster(fips)
*Column 6
areg ln_real_qp1_pop successful post i.year##i.div_9_all meventperyear non_us_t aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if airport==1, absorb(fips) cluster(fips)

*Appendix Table 5
gen small_est=(n1_19+n20_49+n50_99)
gen medium_est=(n100_249+n250_499)
gen ln_small_est_pop=100*ln(small_est/ca1_pop_1)
gen ln_medium_est_pop=100*ln(medium_est/ca1_pop_1)
gen ln_emp_est=100*ln(emp/est)
*Panel A
*Column 1
areg ln_est_pop successful post i.month i.year meventperyear, absorb(fips) cluster(fips)
*Column 2
areg ln_est_pop successful post i.month i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend, absorb(fips) cluster(fips)
*Column 3
areg ln_est_pop successful post meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.div_9_all##i.year i.month##i.year, absorb(fips) cluster(fips)
*Panel B
*Column 1
areg ln_small_est_pop successful post i.month i.year meventperyear if ln_est_pop!=., absorb(fips) cluster(fips)
*Column 2
areg ln_small_est_pop successful post i.month i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend if ln_est_pop!=., absorb(fips) cluster(fips)
*Column 3
areg ln_small_est_pop successful post meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.div_9_all##i.year i.month##i.year if ln_est_pop!=., absorb(fips) cluster(fips)
*Panel C
*Column 1
areg ln_medium_est_pop successful post i.month i.year meventperyear if ln_est_pop!=., absorb(fips) cluster(fips)
*Column 2
areg ln_medium_est_pop successful post i.month i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend if ln_est_pop!=., absorb(fips) cluster(fips)
*Column 3
areg ln_medium_est_pop successful post meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.div_9_all##i.year i.month##i.year if ln_est_pop!=., absorb(fips) cluster(fips)
*Panel D
*Column 1
areg ln_n500_pop successful post i.month i.year meventperyear if ln_est_pop!=., absorb(fips) cluster(fips)
*Column 2
areg ln_n500_pop successful post i.month i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend if ln_est_pop!=., absorb(fips) cluster(fips)
*Column 3
areg ln_n500_pop successful post meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.div_9_all##i.year i.month##i.year if ln_est_pop!=., absorb(fips) cluster(fips)
*Panel E
*Column 1
areg ln_emp_est successful post i.month i.year meventperyear if ln_est_pop!=., absorb(fips) cluster(fips)
*Column 2
areg ln_emp_est successful post i.month i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend if ln_est_pop!=., absorb(fips) cluster(fips)
*Column 3
areg ln_emp_est successful post meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.div_9_all##i.year i.month##i.year if ln_est_pop!=., absorb(fips) cluster(fips)

*Appendix Table A6
*Panel A
*Column 1
areg ln_nonfarm_emp_pop successful post i.month i.year meventperyear, absorb(fips) cluster(fips)
*Column 2
areg ln_nonfarm_emp_pop successful post i.month i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility, absorb(fips) cluster(fips)
*Column 3
areg ln_nonfarm_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.region_4_all##i.year, absorb(fips) cluster(fips)
*Column 4
areg ln_real_avg_wage_per_job successful post i.month i.year meventperyear if ln_nonfarm_emp_pop!=., absorb(fips) cluster(fips)
*Column 5
areg ln_real_avg_wage_per_job successful post i.month i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend if ln_nonfarm_emp_pop!=., absorb(fips) cluster(fips)
*Column 6
areg ln_real_avg_wage_per_job successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.year##i.region_4_all if ln_nonfarm_emp_pop!=., absorb(fips) cluster(fips)

*Appendix Table A8
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1970, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1971, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1972, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1973, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1974, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1975, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1976, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1977, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1978, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1979, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1980, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1981, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1982, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1983, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1984, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1985, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1986, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1987, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1988, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1989, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1990, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1991, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1992, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1993, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1994, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1995, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1996, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1997, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1998, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1999, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2000, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2001, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2002, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2003, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2004, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2005, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2006, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2007, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2008, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2009, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2010, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2011, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2012, absorb(fips) cluster(fips)
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2013, absorb(fips) cluster(fips)

*Appendix Table A9
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1970, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1971, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1972, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1973, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1974, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1975, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1976, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1977, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1978, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1979, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1980, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1981, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1982, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1983, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1984, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1985, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1986, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1987, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1988, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1989, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1990, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1991, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1992, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1993, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1994, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1995, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1996, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1997, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1998, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=1999, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2000, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2001, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2002, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2003, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2004, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2005, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2006, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2007, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2008, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2009, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2010, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2011, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2012, absorb(fips) cluster(fips)
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if year!=2013, absorb(fips) cluster(fips)

*Appendix Table 10
*Panel A
*Column 1
areg ln_emp_pop successful post i.month meventperyear i.year if location_amb!=1, absorb(fips) cluster(fips)
*Column 2
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if location_amb!=1, absorb(fips) cluster(fips)
*Column 3
areg ln_emp_pop successful post i.year##i.div_9_all meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if location_amb!=1, absorb(fips) cluster(fips)
*Column 4
areg ln_emp_pop successful post i.month meventperyear i.year if catastro!=1, absorb(fips) cluster(fips)
*Column 5
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if catastro!=1, absorb(fips) cluster(fips)
*Column 6
areg ln_emp_pop successful post i.year##i.div_9_all meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if catastro!=1, absorb(fips) cluster(fips)
*Panel B
*Column 1
areg ln_real_qp1_pop successful post i.month i.year if location_amb!=1, absorb(fips) cluster(fips)
*Column 2
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if location_amb!=1, absorb(fips) cluster(fips)
*Column 3
areg ln_real_qp1_pop successful post i.year##i.div_9_all meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if location_amb!=1, absorb(fips) cluster(fips)
*Column 4
areg ln_real_qp1_pop successful post i.month i.year if catastro!=1, absorb(fips) cluster(fips)
*Column 5
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if catastro!=1, absorb(fips) cluster(fips)
*Column 6
areg ln_real_qp1_pop successful post i.year##i.div_9_all meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if catastro!=1, absorb(fips) cluster(fips)
*Panel C
*Column 1
areg ln_real_qp1_job successful post i.month i.year if location_amb!=1, absorb(fips) cluster(fips)
*Column 2
areg ln_real_qp1_job successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if location_amb!=1, absorb(fips) cluster(fips)
*Column 3
areg ln_real_qp1_job successful post i.year##div_9_all meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if location_amb!=1, absorb(fips) cluster(fips)
*Column 4
areg ln_real_qp1_job successful post i.month i.year if catastro!=1, absorb(fips) cluster(fips)
*Column 5
areg ln_real_qp1_job successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if catastro!=1, absorb(fips) cluster(fips)
*Column 6
areg ln_real_qp1_job successful post i.year##i.div_9_all meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year if catastro!=1, absorb(fips) cluster(fips)

*Appendix Table A11
*Panel A
*Column 1
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month if motive_env_an!=1, absorb(fips) cluster(fips)
*Column 2
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month if motive_abor!=1, absorb(fips) cluster(fips)
*Column 3
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month if motive_islam!=1, absorb(fips) cluster(fips)
*Column 4
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month if motive_politi!=1, absorb(fips) cluster(fips)
*Column 5
areg ln_emp_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month if motive_hat!=1, absorb(fips) cluster(fips)
*Panel B
*Column 1
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month if motive_env_an!=1, absorb(fips) cluster(fips)
*Column 2
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month if motive_abor!=1, absorb(fips) cluster(fips)
*Column 3
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month if motive_islam!=1, absorb(fips) cluster(fips)
*Column 4
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month if motive_politi!=1, absorb(fips) cluster(fips)
*Column 5
areg ln_real_qp1_pop successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month if motive_hat!=1, absorb(fips) cluster(fips)
*Panel C
*Column 1
areg ln_real_qp1_job successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month if motive_env_an!=1, absorb(fips) cluster(fips)
*Column 2
areg ln_real_qp1_job successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month if motive_abor!=1, absorb(fips) cluster(fips)
*Column 3
areg ln_real_qp1_job successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month if motive_islam!=1, absorb(fips) cluster(fips)
*Column 4
areg ln_real_qp1_job successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month if motive_politi!=1, absorb(fips) cluster(fips)
*Column 5
areg ln_real_qp1_job successful post i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month if motive_hat!=1, absorb(fips) cluster(fips)

*Appendix Table A12
*Column 1
areg ln_ca1_pop_1 successful post i.month i.year meventperyear, absorb(fips) cluster(fips)
*Column 2
areg ln_ca1_pop_1 successful post i.month i.year meventperyear non_us_t int_l, absorb(fips) cluster(fips)
*Column 3
areg ln_ca1_pop_1 successful post i.month i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility, absorb(fips) cluster(fips)
*Column 4
areg ln_ca1_pop_1 successful post i.month i.year meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend, absorb(fips) cluster(fips)
*Column 5
areg ln_ca1_pop_1 successful post meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year, absorb(fips) cluster(fips)
*Column 6
areg ln_ca1_pop_1 successful post i.year##i.div_9_all meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month##i.year, absorb(fips) cluster(fips)

*Appendix Table 13
*Panel A
*Column 1
areg ln_real_qp1_manu_pop successful post i.month i.year meventperyear, absorb(fips) cluster(fips)
*Column 2
areg ln_real_qp1_manu_pop successful post meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month i.year , absorb(fips) cluster(fips)
*Column 3
areg ln_real_qp1_const_pop successful post i.month i.year meventperyear, absorb(fips) cluster(fips)
*Column 4
areg ln_real_qp1_const_pop successful post meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month i.year , absorb(fips) cluster(fips)
*Column 5
areg ln_real_qp1_whole_pop successful post i.month i.year meventperyear, absorb(fips) cluster(fips)
*Column 6
areg ln_real_qp1_whole_pop successful post meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month i.year , absorb(fips) cluster(fips)
*Panel B
*Column 1
areg ln_real_qp1_retail_pop successful post i.month i.year meventperyear, absorb(fips) cluster(fips)
*Column 2
areg ln_real_qp1_retail_pop successful post meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month i.year , absorb(fips) cluster(fips)
*Column 3
areg ln_real_qp1_services_pop successful post i.month i.year meventperyear, absorb(fips) cluster(fips)
*Column 4
areg ln_real_qp1_services_pop successful post meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month i.year , absorb(fips) cluster(fips)
*Column 5
areg ln_real_qp1_finance_pop successful post i.month i.year meventperyear, absorb(fips) cluster(fips)
*Column 6
areg ln_real_qp1_finance_pop successful post meventperyear non_us_t int_l aa_assass aa_armed aa_bomb aa_facility ww_firearm ww_explo ww_incend i.month i.year , absorb(fips) cluster(fips)

*Appendix Table A14
gen predict_success=.
replace predict_success=1 if success==1
replace predict_success=0 if success!=1
gen attack_1_success=.
replace attack_1_success=1 if lead1_success==1
replace attack_1_success=0 if lead1_success!=1
gen predict_fail=.
replace predict_fail=1 if success==0
replace predict_fail=0 if success!=0
gen attack_1_fail=.
replace attack_1_fail=1 if lead1_success==0
replace attack_1_fail=0 if lead1_success!=0
reg attack_1_fail predict_fail if ln_total_ft_pt_emp!=., cluster(fips)
reg attack_1_success predict_success if ln_total_ft_pt_emp!=., cluster(fips)
gen attack_1=0
replace attack_1=1 if attack_1_success==1
replace attack_1=1 if attack_1_fail==1
gen attack_3_success=.
replace attack_3_success=1 if lead3_success==1
replace attack_3_success=0 if lead3_success!=1
gen attack_3_fail=.
replace attack_3_fail=1 if lead3_success==0
replace attack_3_fail=0 if lead3_success!=0
gen attack_3=0
replace attack_3=1 if attack_3_success==1
replace attack_3=1 if attack_3_fail==1
gen attack_5_success=.
replace attack_5_success=1 if lead5_success==1
replace attack_5_success=0 if lead5_success!=1
gen attack_5_fail=.
replace attack_5_fail=1 if lead5_success==0
replace attack_5_fail=0 if lead5_success!=0
gen attack_5=0
replace attack_5=1 if attack_5_success==1
replace attack_5=1 if attack_5_fail==1
tab year, gen (yeardummy) nof
tab state_all, gen (statealldummy) nof
tab fips, gen (fipsdummy) nof
*Col.1
probit attack_1 predict_fail predict_success if ln_emp_pop!=., cluster(fips)
test predict_fail=predict_success
mfx, var(predict_fail predict_success)
*Col.2
probit attack_1 predict_fail predict_success yeardummy* statealldummy* if ln_emp_pop!=., cluster(fips)
test predict_fail=predict_success
mfx, var(predict_fail predict_success)
*Col.3
probit attack_3 predict_fail predict_success if ln_emp_pop!=., cluster(fips)
test predict_fail=predict_success
mfx, var(predict_fail predict_success)
*Col.4
probit attack_3 predict_fail predict_success yeardummy* statealldummy* if ln_emp_pop!=., cluster(fips)
test predict_fail=predict_success
mfx, var(predict_fail predict_success)
*Col.5
probit attack_5 predict_fail predict_success if ln_emp_pop!=., cluster(fips)
test predict_fail=predict_success
mfx, var(predict_fail predict_success)
*Col.6
probit attack_5 predict_fail predict_success yeardummy* statealldummy* if ln_emp_pop!=., cluster(fips)
test predict_fail=predict_success
mfx, var(predict_fail predict_success)

*Appendix Table A17
*Col.1
tab state, gen (statedummy) nof
tab year, gen (yeardummy) nof
dprobit abc_cbs_nbc_mention1 nkill ln_vanderbilt_cityyear motive_env_ani motive_abortion motive_islamic motive_hatred motive_political $controls statedummy* yeardummy* if ln_total_ft_pt_emp_pop!=., cluster(fips)
*Col.2
dprobit abc_cbs_nbc_mention1 nwound ln_vanderbilt_cityyear motive_env_ani motive_abortion motive_islamic motive_hatred motive_political $controls statedummy* yeardummy* if ln_total_ft_pt_emp_pop!=., cluster(fips)
drop statedummy1-yeardummy45
*Col.3
reg ln_abc_cbs_nbc nkill ln_vanderbilt_cityyear motive_env_ani motive_abortion motive_islamic motive_hatred motive_political $controls i.state i.year if ln_total_ft_pt_emp_pop!=., cluster(fips)
*Col.4
reg ln_abc_cbs_nbc nwound ln_vanderbilt_cityyear motive_env_ani motive_abortion motive_islamic motive_hatred motive_political $controls i.state i.year if ln_total_ft_pt_emp_pop!=., cluster(fips)
*Col.5
reg ln_abc_cbs_nbc_lenght nkill ln_vanderbilt_cityyear motive_env_ani motive_abortion motive_islamic motive_hatred motive_political $controls i.state i.year if ln_total_ft_pt_emp_pop!=., cluster(fips)
*Col.6
reg ln_abc_cbs_nbc_lenght nwound ln_vanderbilt_cityyear motive_env_ani motive_abortion motive_islamic motive_hatred motive_political $controls i.state i.year if ln_total_ft_pt_emp_pop!=., cluster(fips)

*Appendix Table A18
*Col.1
tab state, gen (statedummy) nof
tab year, gen (yeardummy) nof
dprobit abc_cbs_nbc_mention1 nkill ln_vanderbilt_cityyear motive_env_ani motive_abortion motive_islamic motive_hatred motive_political $controls statedummy* yeardummy* if ln_total_ft_pt_emp_pop!=. & propvalue_cat!=1 & propvalue_cat!=2 & nkill<100, cluster(fips)
*Col.2
dprobit abc_cbs_nbc_mention1 nwound ln_vanderbilt_cityyear motive_env_ani motive_abortion motive_islamic motive_hatred motive_political $controls statedummy* yeardummy* if ln_total_ft_pt_emp_pop!=. & propvalue_cat!=1 & propvalue_cat!=2 & nkill<100, cluster(fips)
drop statedummy1-yeardummy45
*Col.3
reg ln_abc_cbs_nbc nkill ln_vanderbilt_cityyear motive_env_ani motive_abortion motive_islamic motive_hatred motive_political $controls i.state i.year if ln_total_ft_pt_emp_pop!=. & propvalue_cat!=1 & propvalue_cat!=2 & nkill<100, cluster(fips)
*Col.4
reg ln_abc_cbs_nbc nwound ln_vanderbilt_cityyear motive_env_ani motive_abortion motive_islamic motive_hatred motive_political $controls i.state i.year if ln_total_ft_pt_emp_pop!=. & propvalue_cat!=1 & propvalue_cat!=2 & nkill<100, cluster(fips)
*Col.5
reg ln_abc_cbs_nbc_lenght nkill ln_vanderbilt_cityyear motive_env_ani motive_abortion motive_islamic motive_hatred motive_political $controls i.state i.year if ln_total_ft_pt_emp_pop!=. & propvalue_cat!=1 & propvalue_cat!=2 & nkill<100, cluster(fips)
*Col.6
reg ln_abc_cbs_nbc_lenght nwound ln_vanderbilt_cityyear motive_env_ani motive_abortion motive_islamic motive_hatred motive_political $controls i.state i.year if ln_total_ft_pt_emp_pop!=. & propvalue_cat!=1 & propvalue_cat!=2 & nkill<100, cluster(fips)
