clear all
set mat 3000


global Data="CPath\Replication_files\Data" // Specify working directory

use "$Data\Survey Raw Data.dta", clear

drop if yyyy<2000
drop if yyyy>2012

rename yyyy year
rename yyyyq yearq
rename yyyymm yearm

egen yearmid=concat(yearm id)
destring yearmid, replace

sort yearmid
*Change the name of the data set below using the data purchased from Michigan Survey of Consumers. See the document Description.pdf for more details.
merge yearmid using "$Data\FIPS DATA OBTAINED FROM MSC.dta"
drop _merge
drop if year==.
drop if pago==.

egen year_fips=concat(year fips)
destring year_fips, replace

order caseid- datepr yearmid- month year_fips ics- wt

sort year_fips
merge year_fips using "$data\Intermediate Sample1.dta"
drop _merge
drop if year==.
drop if pago==.

global controls_terror "attack_assass attack_armed attack_bomb attack_facility weap_firearm weap_explo weap_incend non_us_target int_log multipleeventperyear targ_business targ_governgen targ_abortion targ_educ targ_priv"

gen age_2=age^2

gen male=1 if sex==1 & sex!=.
replace male=0 if sex==2 & sex!=.
drop sex

gen married=1 if marry==1 & marry!=.
replace married=0 if marry!=1 & marry!=.
gen separated=2 if marry==2 & marry!=.
replace separated=0 if marry!=2 & marry!=.
gen divorced=3 if marry==3 & marry!=.
replace divorced=0 if marry!=3 & marry!=.
gen widowed=4 if marry==4 & marry!=.
replace widowed=0 if marry!=4 & marry!=.
gen nevermar=4 if marry==5 & marry!=.
replace nevermar=0 if marry!=5 & marry!=.

gen elem_school=1 if educ==1 & educ!=.
replace elem_school=0 if educ!=1 & educ!=.
gen atthigh_school=1 if educ==2 & educ!=.
replace atthigh_school=0 if educ!=2 & educ!=.
gen high_school=1 if educ==3 & educ!=.
replace high_school=0 if educ!=3 & educ!=.
gen att_coll=1 if educ==4 & educ!=.
replace att_coll=0 if educ!=4 & educ!=.
gen college=1 if educ==5 & educ!=.
replace college=1 if educ==6 & educ!=.
replace college=0 if educ!=5 & educ!=.

global controls_ind "age age_2 male elem_school atthigh_school att_coll college married widowed separated divorced"

gen pers_fin_worse=.
replace pers_fin_worse=1 if pago==5 & pago!=.
replace pers_fin_worse=0 if pago==3 & pago!=.
replace pers_fin_worse=0 if pago==1 & pago!=.

gen business_worse=.
replace business_worse=1 if bago==5 & bago!=.
replace business_worse=0 if bago==3 & bago!=.
replace business_worse=0 if bago==1 & bago!=.

gen bad_time_hhitems=.
replace bad_time_hhitems=1 if dur==5 & dur!=.
replace bad_time_hhitems=0 if dur==3 & dur!=.
replace bad_time_hhitems=0 if dur==1 & dur!=.

gen pers_fin_worse_ft=.
replace pers_fin_worse_ft=1 if pexp==5 & pexp!=.
replace pers_fin_worse_ft=0 if pexp==3 & pexp!=.
replace pers_fin_worse_ft=0 if pexp==1 & pexp!=.

*Table 10
*Columns 1-4
foreach var in pers_fin_worse business_worse pers_fin_worse_ft bad_time_hhitems{
probit `var' success $controls_ind $controls_3 i.state i.year [pw=wt], cluster(fips)
mfx, compute
}
